package com.lukouguoji.aerologic.page.gnj.jiaojie

import android.view.View
import com.lukouguoji.aerologic.databinding.ItemGnjHandoverListBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GnjUnloadListBean

class GnjHanoverListViewHolder(view: View) :
    BaseViewHolder<GnjUnloadListBean, ItemGnjHandoverListBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val itemBean = getItemBean(item)!!
        binding.bean = itemBean

        binding.ivIcon.setOnClickListener {
            itemBean.checked.set(!itemBean.checked.get())
        }
    }

}